/*
qsampler - A LinuxSampler Qt GUI Interface.

   Copyright (C) 2005-2012, rncbc aka Rui Nuno Capela. All rights reserved.
   Copyright (C) 2007, Christian Schoenebeck

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License along
   with this program; if not, write to the Free Software Foundation, Inc.,
   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.


*/

/********************************************************************************
** Form generated from reading UI file 'qsamplerChannelForm.ui'
**
** Created by: Qt User Interface Compiler version 5.6.0
**
** WARNING! All changes made in this file will be lost when recompiling UI file!
********************************************************************************/

#ifndef UI_QSAMPLERCHANNELFORM_H
#define UI_QSAMPLERCHANNELFORM_H

#include <QtCore/QVariant>
#include <QtWidgets/QAction>
#include <QtWidgets/QApplication>
#include <QtWidgets/QButtonGroup>
#include <QtWidgets/QComboBox>
#include <QtWidgets/QDialog>
#include <QtWidgets/QDialogButtonBox>
#include <QtWidgets/QGridLayout>
#include <QtWidgets/QGroupBox>
#include <QtWidgets/QHBoxLayout>
#include <QtWidgets/QHeaderView>
#include <QtWidgets/QLabel>
#include <QtWidgets/QSpacerItem>
#include <QtWidgets/QSpinBox>
#include <QtWidgets/QTableView>
#include <QtWidgets/QToolButton>
#include <QtWidgets/QVBoxLayout>

QT_BEGIN_NAMESPACE

class Ui_qsamplerChannelForm
{
public:
    QVBoxLayout *vboxLayout;
    QGridLayout *gridLayout;
    QToolButton *InstrumentFileToolButton;
    QComboBox *InstrumentNrComboBox;
    QLabel *EngineNameTextLabel;
    QComboBox *EngineNameComboBox;
    QLabel *InstrumentFileTextLabel;
    QLabel *InstrumentNrTextLabel;
    QComboBox *InstrumentFileComboBox;
    QGroupBox *MidiGroupBox;
    QGridLayout *gridLayout1;
    QHBoxLayout *hboxLayout;
    QComboBox *MidiDeviceComboBox;
    QToolButton *MidiDeviceToolButton;
    QLabel *MidiMapTextLabel;
    QLabel *MidiDeviceTextLabel;
    QHBoxLayout *hboxLayout1;
    QComboBox *MidiMapComboBox;
    QSpacerItem *spacerItem;
    QLabel *MidiDriverTextLabel;
    QHBoxLayout *hboxLayout2;
    QComboBox *MidiDriverComboBox;
    QSpacerItem *spacerItem1;
    QLabel *MidiPortTextLabel;
    QSpinBox *MidiPortSpinBox;
    QLabel *MidiChannelTextLabel;
    QComboBox *MidiChannelComboBox;
    QGroupBox *AudioGroupBox;
    QVBoxLayout *vboxLayout1;
    QGridLayout *gridLayout2;
    QHBoxLayout *hboxLayout3;
    QComboBox *AudioDeviceComboBox;
    QToolButton *AudioDeviceToolButton;
    QLabel *AudioDeviceTextLabel;
    QHBoxLayout *hboxLayout4;
    QComboBox *AudioDriverComboBox;
    QSpacerItem *spacerItem2;
    QLabel *AudioDriverTextLabel;
    QTableView *AudioRoutingTable;
    QDialogButtonBox *DialogButtonBox;

    void setupUi(QDialog *qsamplerChannelForm)
    {
        if (qsamplerChannelForm->objectName().isEmpty())
            qsamplerChannelForm->setObjectName(QStringLiteral("qsamplerChannelForm"));
        qsamplerChannelForm->resize(460, 320);
        QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(7), static_cast<QSizePolicy::Policy>(1));
        sizePolicy.setHorizontalStretch(0);
        sizePolicy.setVerticalStretch(0);
        sizePolicy.setHeightForWidth(qsamplerChannelForm->sizePolicy().hasHeightForWidth());
        qsamplerChannelForm->setSizePolicy(sizePolicy);
        qsamplerChannelForm->setFocusPolicy(Qt::StrongFocus);
        const QIcon icon = QIcon(QString::fromUtf8(":/images/qsamplerChannel.png"));
        qsamplerChannelForm->setWindowIcon(icon);
        vboxLayout = new QVBoxLayout(qsamplerChannelForm);
        vboxLayout->setSpacing(6);
        vboxLayout->setContentsMargins(9, 9, 9, 9);
        vboxLayout->setObjectName(QStringLiteral("vboxLayout"));
        gridLayout = new QGridLayout();
        gridLayout->setSpacing(6);
        gridLayout->setContentsMargins(0, 0, 0, 0);
        gridLayout->setObjectName(QStringLiteral("gridLayout"));
        InstrumentFileToolButton = new QToolButton(qsamplerChannelForm);
        InstrumentFileToolButton->setObjectName(QStringLiteral("InstrumentFileToolButton"));
        QSizePolicy sizePolicy1(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(0));
        sizePolicy1.setHorizontalStretch(0);
        sizePolicy1.setVerticalStretch(0);
        sizePolicy1.setHeightForWidth(InstrumentFileToolButton->sizePolicy().hasHeightForWidth());
        InstrumentFileToolButton->setSizePolicy(sizePolicy1);
        InstrumentFileToolButton->setMinimumSize(QSize(24, 24));
        InstrumentFileToolButton->setMaximumSize(QSize(26, 26));
        InstrumentFileToolButton->setFocusPolicy(Qt::TabFocus);
        const QIcon icon1 = QIcon(QString::fromUtf8(":/images/fileOpen.png"));
        InstrumentFileToolButton->setIcon(icon1);

        gridLayout->addWidget(InstrumentFileToolButton, 1, 2, 1, 1);

        InstrumentNrComboBox = new QComboBox(qsamplerChannelForm);
        InstrumentNrComboBox->setObjectName(QStringLiteral("InstrumentNrComboBox"));
        QSizePolicy sizePolicy2(static_cast<QSizePolicy::Policy>(7), static_cast<QSizePolicy::Policy>(0));
        sizePolicy2.setHorizontalStretch(0);
        sizePolicy2.setVerticalStretch(0);
        sizePolicy2.setHeightForWidth(InstrumentNrComboBox->sizePolicy().hasHeightForWidth());
        InstrumentNrComboBox->setSizePolicy(sizePolicy2);
        InstrumentNrComboBox->setMinimumSize(QSize(320, 0));

        gridLayout->addWidget(InstrumentNrComboBox, 2, 1, 1, 2);

        EngineNameTextLabel = new QLabel(qsamplerChannelForm);
        EngineNameTextLabel->setObjectName(QStringLiteral("EngineNameTextLabel"));
        EngineNameTextLabel->setAlignment(Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter);
        EngineNameTextLabel->setWordWrap(false);

        gridLayout->addWidget(EngineNameTextLabel, 0, 0, 1, 1);

        EngineNameComboBox = new QComboBox(qsamplerChannelForm);
        EngineNameComboBox->setObjectName(QStringLiteral("EngineNameComboBox"));
        sizePolicy2.setHeightForWidth(EngineNameComboBox->sizePolicy().hasHeightForWidth());
        EngineNameComboBox->setSizePolicy(sizePolicy2);

        gridLayout->addWidget(EngineNameComboBox, 0, 1, 1, 1);

        InstrumentFileTextLabel = new QLabel(qsamplerChannelForm);
        InstrumentFileTextLabel->setObjectName(QStringLiteral("InstrumentFileTextLabel"));
        InstrumentFileTextLabel->setAlignment(Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter);
        InstrumentFileTextLabel->setWordWrap(false);

        gridLayout->addWidget(InstrumentFileTextLabel, 1, 0, 1, 1);

        InstrumentNrTextLabel = new QLabel(qsamplerChannelForm);
        InstrumentNrTextLabel->setObjectName(QStringLiteral("InstrumentNrTextLabel"));
        InstrumentNrTextLabel->setAlignment(Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter);
        InstrumentNrTextLabel->setWordWrap(false);

        gridLayout->addWidget(InstrumentNrTextLabel, 2, 0, 1, 1);

        InstrumentFileComboBox = new QComboBox(qsamplerChannelForm);
        InstrumentFileComboBox->setObjectName(QStringLiteral("InstrumentFileComboBox"));
        sizePolicy2.setHeightForWidth(InstrumentFileComboBox->sizePolicy().hasHeightForWidth());
        InstrumentFileComboBox->setSizePolicy(sizePolicy2);
        InstrumentFileComboBox->setMinimumSize(QSize(320, 0));
        InstrumentFileComboBox->setEditable(true);

        gridLayout->addWidget(InstrumentFileComboBox, 1, 1, 1, 1);


        vboxLayout->addLayout(gridLayout);

        MidiGroupBox = new QGroupBox(qsamplerChannelForm);
        MidiGroupBox->setObjectName(QStringLiteral("MidiGroupBox"));
        gridLayout1 = new QGridLayout(MidiGroupBox);
        gridLayout1->setSpacing(6);
        gridLayout1->setContentsMargins(9, 9, 9, 9);
        gridLayout1->setObjectName(QStringLiteral("gridLayout1"));
        hboxLayout = new QHBoxLayout();
        hboxLayout->setSpacing(4);
        hboxLayout->setContentsMargins(0, 0, 0, 0);
        hboxLayout->setObjectName(QStringLiteral("hboxLayout"));
        MidiDeviceComboBox = new QComboBox(MidiGroupBox);
        MidiDeviceComboBox->setObjectName(QStringLiteral("MidiDeviceComboBox"));
        sizePolicy2.setHeightForWidth(MidiDeviceComboBox->sizePolicy().hasHeightForWidth());
        MidiDeviceComboBox->setSizePolicy(sizePolicy2);

        hboxLayout->addWidget(MidiDeviceComboBox);

        MidiDeviceToolButton = new QToolButton(MidiGroupBox);
        MidiDeviceToolButton->setObjectName(QStringLiteral("MidiDeviceToolButton"));
        sizePolicy1.setHeightForWidth(MidiDeviceToolButton->sizePolicy().hasHeightForWidth());
        MidiDeviceToolButton->setSizePolicy(sizePolicy1);
        MidiDeviceToolButton->setMinimumSize(QSize(24, 24));
        MidiDeviceToolButton->setMaximumSize(QSize(26, 26));
        MidiDeviceToolButton->setFocusPolicy(Qt::TabFocus);
        const QIcon icon2 = QIcon(QString::fromUtf8(":/images/midi1.png"));
        MidiDeviceToolButton->setIcon(icon2);

        hboxLayout->addWidget(MidiDeviceToolButton);


        gridLayout1->addLayout(hboxLayout, 1, 1, 1, 1);

        MidiMapTextLabel = new QLabel(MidiGroupBox);
        MidiMapTextLabel->setObjectName(QStringLiteral("MidiMapTextLabel"));
        MidiMapTextLabel->setAlignment(Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter);
        MidiMapTextLabel->setWordWrap(false);

        gridLayout1->addWidget(MidiMapTextLabel, 2, 0, 1, 1);

        MidiDeviceTextLabel = new QLabel(MidiGroupBox);
        MidiDeviceTextLabel->setObjectName(QStringLiteral("MidiDeviceTextLabel"));
        MidiDeviceTextLabel->setAlignment(Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter);
        MidiDeviceTextLabel->setWordWrap(false);

        gridLayout1->addWidget(MidiDeviceTextLabel, 1, 0, 1, 1);

        hboxLayout1 = new QHBoxLayout();
        hboxLayout1->setSpacing(4);
        hboxLayout1->setContentsMargins(0, 0, 0, 0);
        hboxLayout1->setObjectName(QStringLiteral("hboxLayout1"));
        MidiMapComboBox = new QComboBox(MidiGroupBox);
        MidiMapComboBox->setObjectName(QStringLiteral("MidiMapComboBox"));
        sizePolicy2.setHeightForWidth(MidiMapComboBox->sizePolicy().hasHeightForWidth());
        MidiMapComboBox->setSizePolicy(sizePolicy2);

        hboxLayout1->addWidget(MidiMapComboBox);

        spacerItem = new QSpacerItem(160, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout1->addItem(spacerItem);


        gridLayout1->addLayout(hboxLayout1, 2, 1, 1, 1);

        MidiDriverTextLabel = new QLabel(MidiGroupBox);
        MidiDriverTextLabel->setObjectName(QStringLiteral("MidiDriverTextLabel"));
        MidiDriverTextLabel->setAlignment(Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter);
        MidiDriverTextLabel->setWordWrap(false);

        gridLayout1->addWidget(MidiDriverTextLabel, 0, 0, 1, 1);

        hboxLayout2 = new QHBoxLayout();
        hboxLayout2->setSpacing(4);
        hboxLayout2->setContentsMargins(0, 0, 0, 0);
        hboxLayout2->setObjectName(QStringLiteral("hboxLayout2"));
        MidiDriverComboBox = new QComboBox(MidiGroupBox);
        MidiDriverComboBox->setObjectName(QStringLiteral("MidiDriverComboBox"));
        QSizePolicy sizePolicy3(static_cast<QSizePolicy::Policy>(5), static_cast<QSizePolicy::Policy>(0));
        sizePolicy3.setHorizontalStretch(0);
        sizePolicy3.setVerticalStretch(0);
        sizePolicy3.setHeightForWidth(MidiDriverComboBox->sizePolicy().hasHeightForWidth());
        MidiDriverComboBox->setSizePolicy(sizePolicy3);

        hboxLayout2->addWidget(MidiDriverComboBox);

        spacerItem1 = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout2->addItem(spacerItem1);

        MidiPortTextLabel = new QLabel(MidiGroupBox);
        MidiPortTextLabel->setObjectName(QStringLiteral("MidiPortTextLabel"));
        MidiPortTextLabel->setAlignment(Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter);
        MidiPortTextLabel->setWordWrap(false);

        hboxLayout2->addWidget(MidiPortTextLabel);

        MidiPortSpinBox = new QSpinBox(MidiGroupBox);
        MidiPortSpinBox->setObjectName(QStringLiteral("MidiPortSpinBox"));

        hboxLayout2->addWidget(MidiPortSpinBox);

        MidiChannelTextLabel = new QLabel(MidiGroupBox);
        MidiChannelTextLabel->setObjectName(QStringLiteral("MidiChannelTextLabel"));
        MidiChannelTextLabel->setAlignment(Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter);
        MidiChannelTextLabel->setWordWrap(false);

        hboxLayout2->addWidget(MidiChannelTextLabel);

        MidiChannelComboBox = new QComboBox(MidiGroupBox);
        MidiChannelComboBox->setObjectName(QStringLiteral("MidiChannelComboBox"));

        hboxLayout2->addWidget(MidiChannelComboBox);


        gridLayout1->addLayout(hboxLayout2, 0, 1, 1, 1);


        vboxLayout->addWidget(MidiGroupBox);

        AudioGroupBox = new QGroupBox(qsamplerChannelForm);
        AudioGroupBox->setObjectName(QStringLiteral("AudioGroupBox"));
        vboxLayout1 = new QVBoxLayout(AudioGroupBox);
        vboxLayout1->setSpacing(6);
        vboxLayout1->setContentsMargins(9, 9, 9, 9);
        vboxLayout1->setObjectName(QStringLiteral("vboxLayout1"));
        gridLayout2 = new QGridLayout();
        gridLayout2->setSpacing(6);
        gridLayout2->setContentsMargins(0, 0, 0, 0);
        gridLayout2->setObjectName(QStringLiteral("gridLayout2"));
        hboxLayout3 = new QHBoxLayout();
        hboxLayout3->setSpacing(4);
        hboxLayout3->setContentsMargins(0, 0, 0, 0);
        hboxLayout3->setObjectName(QStringLiteral("hboxLayout3"));
        AudioDeviceComboBox = new QComboBox(AudioGroupBox);
        AudioDeviceComboBox->setObjectName(QStringLiteral("AudioDeviceComboBox"));
        sizePolicy2.setHeightForWidth(AudioDeviceComboBox->sizePolicy().hasHeightForWidth());
        AudioDeviceComboBox->setSizePolicy(sizePolicy2);

        hboxLayout3->addWidget(AudioDeviceComboBox);

        AudioDeviceToolButton = new QToolButton(AudioGroupBox);
        AudioDeviceToolButton->setObjectName(QStringLiteral("AudioDeviceToolButton"));
        sizePolicy1.setHeightForWidth(AudioDeviceToolButton->sizePolicy().hasHeightForWidth());
        AudioDeviceToolButton->setSizePolicy(sizePolicy1);
        AudioDeviceToolButton->setMinimumSize(QSize(24, 24));
        AudioDeviceToolButton->setMaximumSize(QSize(26, 26));
        AudioDeviceToolButton->setFocusPolicy(Qt::TabFocus);
        const QIcon icon3 = QIcon(QString::fromUtf8(":/images/audio1.png"));
        AudioDeviceToolButton->setIcon(icon3);

        hboxLayout3->addWidget(AudioDeviceToolButton);


        gridLayout2->addLayout(hboxLayout3, 1, 1, 1, 1);

        AudioDeviceTextLabel = new QLabel(AudioGroupBox);
        AudioDeviceTextLabel->setObjectName(QStringLiteral("AudioDeviceTextLabel"));
        AudioDeviceTextLabel->setAlignment(Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter);
        AudioDeviceTextLabel->setWordWrap(false);

        gridLayout2->addWidget(AudioDeviceTextLabel, 1, 0, 1, 1);

        hboxLayout4 = new QHBoxLayout();
        hboxLayout4->setSpacing(4);
        hboxLayout4->setContentsMargins(0, 0, 0, 0);
        hboxLayout4->setObjectName(QStringLiteral("hboxLayout4"));
        AudioDriverComboBox = new QComboBox(AudioGroupBox);
        AudioDriverComboBox->setObjectName(QStringLiteral("AudioDriverComboBox"));
        sizePolicy3.setHeightForWidth(AudioDriverComboBox->sizePolicy().hasHeightForWidth());
        AudioDriverComboBox->setSizePolicy(sizePolicy3);

        hboxLayout4->addWidget(AudioDriverComboBox);

        spacerItem2 = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout4->addItem(spacerItem2);


        gridLayout2->addLayout(hboxLayout4, 0, 1, 1, 1);

        AudioDriverTextLabel = new QLabel(AudioGroupBox);
        AudioDriverTextLabel->setObjectName(QStringLiteral("AudioDriverTextLabel"));
        AudioDriverTextLabel->setAlignment(Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter);
        AudioDriverTextLabel->setWordWrap(false);

        gridLayout2->addWidget(AudioDriverTextLabel, 0, 0, 1, 1);


        vboxLayout1->addLayout(gridLayout2);

        AudioRoutingTable = new QTableView(AudioGroupBox);
        AudioRoutingTable->setObjectName(QStringLiteral("AudioRoutingTable"));
        QSizePolicy sizePolicy4(static_cast<QSizePolicy::Policy>(7), static_cast<QSizePolicy::Policy>(7));
        sizePolicy4.setHorizontalStretch(0);
        sizePolicy4.setVerticalStretch(0);
        sizePolicy4.setHeightForWidth(AudioRoutingTable->sizePolicy().hasHeightForWidth());
        AudioRoutingTable->setSizePolicy(sizePolicy4);
        AudioRoutingTable->setMinimumSize(QSize(320, 80));

        vboxLayout1->addWidget(AudioRoutingTable);


        vboxLayout->addWidget(AudioGroupBox);

        DialogButtonBox = new QDialogButtonBox(qsamplerChannelForm);
        DialogButtonBox->setObjectName(QStringLiteral("DialogButtonBox"));
        DialogButtonBox->setOrientation(Qt::Horizontal);
        DialogButtonBox->setStandardButtons(QDialogButtonBox::Cancel|QDialogButtonBox::Ok);

        vboxLayout->addWidget(DialogButtonBox);

#ifndef QT_NO_SHORTCUT
        EngineNameTextLabel->setBuddy(EngineNameComboBox);
        InstrumentFileTextLabel->setBuddy(InstrumentFileComboBox);
        InstrumentNrTextLabel->setBuddy(InstrumentNrComboBox);
        MidiMapTextLabel->setBuddy(MidiMapComboBox);
        MidiDeviceTextLabel->setBuddy(MidiDeviceComboBox);
        MidiDriverTextLabel->setBuddy(MidiDriverComboBox);
        MidiPortTextLabel->setBuddy(MidiPortSpinBox);
        MidiChannelTextLabel->setBuddy(MidiChannelComboBox);
        AudioDeviceTextLabel->setBuddy(AudioDeviceComboBox);
        AudioDriverTextLabel->setBuddy(AudioDriverComboBox);
#endif // QT_NO_SHORTCUT
        QWidget::setTabOrder(EngineNameComboBox, InstrumentFileComboBox);
        QWidget::setTabOrder(InstrumentFileComboBox, InstrumentFileToolButton);
        QWidget::setTabOrder(InstrumentFileToolButton, InstrumentNrComboBox);
        QWidget::setTabOrder(InstrumentNrComboBox, DialogButtonBox);

        retranslateUi(qsamplerChannelForm);

        QMetaObject::connectSlotsByName(qsamplerChannelForm);
    } // setupUi

    void retranslateUi(QDialog *qsamplerChannelForm)
    {
        qsamplerChannelForm->setWindowTitle(QApplication::translate("qsamplerChannelForm", "Qsampler: Channel", 0));
#ifndef QT_NO_TOOLTIP
        InstrumentFileToolButton->setToolTip(QApplication::translate("qsamplerChannelForm", "Browse for instrument filename", 0));
#endif // QT_NO_TOOLTIP
        InstrumentFileToolButton->setText(QString());
#ifndef QT_NO_TOOLTIP
        InstrumentNrComboBox->setToolTip(QApplication::translate("qsamplerChannelForm", "Instrument name", 0));
#endif // QT_NO_TOOLTIP
        EngineNameTextLabel->setText(QApplication::translate("qsamplerChannelForm", "&Engine:", 0));
#ifndef QT_NO_TOOLTIP
        EngineNameComboBox->setToolTip(QApplication::translate("qsamplerChannelForm", "Engine name", 0));
#endif // QT_NO_TOOLTIP
        InstrumentFileTextLabel->setText(QApplication::translate("qsamplerChannelForm", "&Filename:", 0));
        InstrumentNrTextLabel->setText(QApplication::translate("qsamplerChannelForm", "&Instrument:", 0));
#ifndef QT_NO_TOOLTIP
        InstrumentFileComboBox->setToolTip(QApplication::translate("qsamplerChannelForm", "Instrument filename", 0));
#endif // QT_NO_TOOLTIP
        MidiGroupBox->setTitle(QApplication::translate("qsamplerChannelForm", "MIDI / Input", 0));
#ifndef QT_NO_TOOLTIP
        MidiDeviceComboBox->setToolTip(QApplication::translate("qsamplerChannelForm", "MIDI input device", 0));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_TOOLTIP
        MidiDeviceToolButton->setToolTip(QApplication::translate("qsamplerChannelForm", "MIDI input device setup", 0));
#endif // QT_NO_TOOLTIP
        MidiDeviceToolButton->setText(QString());
        MidiMapTextLabel->setText(QApplication::translate("qsamplerChannelForm", "&Map:", 0));
        MidiDeviceTextLabel->setText(QApplication::translate("qsamplerChannelForm", "&Device:", 0));
#ifndef QT_NO_TOOLTIP
        MidiMapComboBox->setToolTip(QApplication::translate("qsamplerChannelForm", "Instrument map", 0));
#endif // QT_NO_TOOLTIP
        MidiDriverTextLabel->setText(QApplication::translate("qsamplerChannelForm", "&Type:", 0));
#ifndef QT_NO_TOOLTIP
        MidiDriverComboBox->setToolTip(QApplication::translate("qsamplerChannelForm", "MIDI input driver type", 0));
#endif // QT_NO_TOOLTIP
        MidiPortTextLabel->setText(QApplication::translate("qsamplerChannelForm", "&Port:", 0));
#ifndef QT_NO_TOOLTIP
        MidiPortSpinBox->setToolTip(QApplication::translate("qsamplerChannelForm", "MIDI input port number", 0));
#endif // QT_NO_TOOLTIP
        MidiChannelTextLabel->setText(QApplication::translate("qsamplerChannelForm", "&Channel:", 0));
        MidiChannelComboBox->clear();
        MidiChannelComboBox->insertItems(0, QStringList()
         << QApplication::translate("qsamplerChannelForm", "1", 0)
         << QApplication::translate("qsamplerChannelForm", "2", 0)
         << QApplication::translate("qsamplerChannelForm", "3", 0)
         << QApplication::translate("qsamplerChannelForm", "4", 0)
         << QApplication::translate("qsamplerChannelForm", "5", 0)
         << QApplication::translate("qsamplerChannelForm", "6", 0)
         << QApplication::translate("qsamplerChannelForm", "7", 0)
         << QApplication::translate("qsamplerChannelForm", "8", 0)
         << QApplication::translate("qsamplerChannelForm", "9", 0)
         << QApplication::translate("qsamplerChannelForm", "10", 0)
         << QApplication::translate("qsamplerChannelForm", "11", 0)
         << QApplication::translate("qsamplerChannelForm", "12", 0)
         << QApplication::translate("qsamplerChannelForm", "13", 0)
         << QApplication::translate("qsamplerChannelForm", "14", 0)
         << QApplication::translate("qsamplerChannelForm", "15", 0)
         << QApplication::translate("qsamplerChannelForm", "16", 0)
         << QApplication::translate("qsamplerChannelForm", "All", 0)
        );
#ifndef QT_NO_TOOLTIP
        MidiChannelComboBox->setToolTip(QApplication::translate("qsamplerChannelForm", "MIDI input channel", 0));
#endif // QT_NO_TOOLTIP
        AudioGroupBox->setTitle(QApplication::translate("qsamplerChannelForm", "Audio / Output", 0));
#ifndef QT_NO_TOOLTIP
        AudioDeviceComboBox->setToolTip(QApplication::translate("qsamplerChannelForm", "Audio output device", 0));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_TOOLTIP
        AudioDeviceToolButton->setToolTip(QApplication::translate("qsamplerChannelForm", "Audio output device setup", 0));
#endif // QT_NO_TOOLTIP
        AudioDeviceToolButton->setText(QString());
        AudioDeviceTextLabel->setText(QApplication::translate("qsamplerChannelForm", "&Device:", 0));
#ifndef QT_NO_TOOLTIP
        AudioDriverComboBox->setToolTip(QApplication::translate("qsamplerChannelForm", "Audio output driver type", 0));
#endif // QT_NO_TOOLTIP
        AudioDriverTextLabel->setText(QApplication::translate("qsamplerChannelForm", "&Type:", 0));
#ifndef QT_NO_TOOLTIP
        AudioRoutingTable->setToolTip(QApplication::translate("qsamplerChannelForm", "Audio routing table", 0));
#endif // QT_NO_TOOLTIP
    } // retranslateUi

};

namespace Ui {
    class qsamplerChannelForm: public Ui_qsamplerChannelForm {};
} // namespace Ui

QT_END_NAMESPACE

#endif // UI_QSAMPLERCHANNELFORM_H
