/*
qsampler - A LinuxSampler Qt GUI Interface.

   Copyright (C) 2004-2014, rncbc aka Rui Nuno Capela. All rights reserved.
   Copyright (C) 2007, 2008, 2014 Christian Schoenebeck

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License along
   with this program; if not, write to the Free Software Foundation, Inc.,
   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.


*/

/********************************************************************************
** Form generated from reading UI file 'qsamplerChannelStrip.ui'
**
** Created by: Qt User Interface Compiler version 5.6.0
**
** WARNING! All changes made in this file will be lost when recompiling UI file!
********************************************************************************/

#ifndef UI_QSAMPLERCHANNELSTRIP_H
#define UI_QSAMPLERCHANNELSTRIP_H

#include <QtCore/QVariant>
#include <QtWidgets/QAction>
#include <QtWidgets/QApplication>
#include <QtWidgets/QButtonGroup>
#include <QtWidgets/QFrame>
#include <QtWidgets/QGridLayout>
#include <QtWidgets/QHBoxLayout>
#include <QtWidgets/QHeaderView>
#include <QtWidgets/QLabel>
#include <QtWidgets/QProgressBar>
#include <QtWidgets/QPushButton>
#include <QtWidgets/QSlider>
#include <QtWidgets/QSpinBox>
#include <QtWidgets/QWidget>

QT_BEGIN_NAMESPACE

class Ui_qsamplerChannelStrip
{
public:
    QHBoxLayout *hboxLayout;
    QPushButton *ChannelSetupPushButton;
    QFrame *ChannelInfoFrame;
    QGridLayout *gridLayout;
    QLabel *EngineNameTextLabel;
    QLabel *MidiPortChannelTextLabel;
    QLabel *InstrumentStatusTextLabel;
    QLabel *MidiActivityLabel;
    QPushButton *InstrumentNamePushButton;
    QPushButton *ChannelMutePushButton;
    QPushButton *ChannelSoloPushButton;
    QSlider *VolumeSlider;
    QSpinBox *VolumeSpinBox;
    QPushButton *FxPushButton;
    QPushButton *ChannelEditPushButton;
    QProgressBar *StreamUsageProgressBar;
    QLabel *StreamVoiceCountTextLabel;

    void setupUi(QWidget *qsamplerChannelStrip)
    {
        if (qsamplerChannelStrip->objectName().isEmpty())
            qsamplerChannelStrip->setObjectName(QStringLiteral("qsamplerChannelStrip"));
        qsamplerChannelStrip->resize(815, 61);
        QSizePolicy sizePolicy(QSizePolicy::Expanding, QSizePolicy::Minimum);
        sizePolicy.setHorizontalStretch(0);
        sizePolicy.setVerticalStretch(0);
        sizePolicy.setHeightForWidth(qsamplerChannelStrip->sizePolicy().hasHeightForWidth());
        qsamplerChannelStrip->setSizePolicy(sizePolicy);
        qsamplerChannelStrip->setFocusPolicy(Qt::StrongFocus);
        QIcon icon;
        icon.addFile(QStringLiteral(":/images/qsamplerChannel.png"), QSize(), QIcon::Normal, QIcon::Off);
        qsamplerChannelStrip->setWindowIcon(icon);
        hboxLayout = new QHBoxLayout(qsamplerChannelStrip);
        hboxLayout->setSpacing(4);
        hboxLayout->setContentsMargins(4, 4, 4, 4);
        hboxLayout->setObjectName(QStringLiteral("hboxLayout"));
        ChannelSetupPushButton = new QPushButton(qsamplerChannelStrip);
        ChannelSetupPushButton->setObjectName(QStringLiteral("ChannelSetupPushButton"));
        ChannelSetupPushButton->setMinimumSize(QSize(100, 0));
        ChannelSetupPushButton->setMaximumSize(QSize(120, 32));
        ChannelSetupPushButton->setIcon(icon);

        hboxLayout->addWidget(ChannelSetupPushButton);

        ChannelInfoFrame = new QFrame(qsamplerChannelStrip);
        ChannelInfoFrame->setObjectName(QStringLiteral("ChannelInfoFrame"));
        QSizePolicy sizePolicy1(QSizePolicy::Preferred, QSizePolicy::Preferred);
        sizePolicy1.setHorizontalStretch(0);
        sizePolicy1.setVerticalStretch(0);
        sizePolicy1.setHeightForWidth(ChannelInfoFrame->sizePolicy().hasHeightForWidth());
        ChannelInfoFrame->setSizePolicy(sizePolicy1);
        ChannelInfoFrame->setMinimumSize(QSize(180, 0));
        ChannelInfoFrame->setMaximumSize(QSize(320, 64));
        ChannelInfoFrame->setAutoFillBackground(true);
        ChannelInfoFrame->setFrameShape(QFrame::StyledPanel);
        ChannelInfoFrame->setFrameShadow(QFrame::Sunken);
        gridLayout = new QGridLayout(ChannelInfoFrame);
        gridLayout->setSpacing(0);
        gridLayout->setContentsMargins(2, 2, 2, 2);
        gridLayout->setObjectName(QStringLiteral("gridLayout"));
        EngineNameTextLabel = new QLabel(ChannelInfoFrame);
        EngineNameTextLabel->setObjectName(QStringLiteral("EngineNameTextLabel"));

        gridLayout->addWidget(EngineNameTextLabel, 0, 0, 1, 1);

        MidiPortChannelTextLabel = new QLabel(ChannelInfoFrame);
        MidiPortChannelTextLabel->setObjectName(QStringLiteral("MidiPortChannelTextLabel"));
        QSizePolicy sizePolicy2(QSizePolicy::Fixed, QSizePolicy::Preferred);
        sizePolicy2.setHorizontalStretch(0);
        sizePolicy2.setVerticalStretch(0);
        sizePolicy2.setHeightForWidth(MidiPortChannelTextLabel->sizePolicy().hasHeightForWidth());
        MidiPortChannelTextLabel->setSizePolicy(sizePolicy2);
        MidiPortChannelTextLabel->setMinimumSize(QSize(20, 0));
        MidiPortChannelTextLabel->setAlignment(Qt::AlignHCenter|Qt::AlignTop);
        MidiPortChannelTextLabel->setWordWrap(false);

        gridLayout->addWidget(MidiPortChannelTextLabel, 0, 2, 1, 1);

        InstrumentStatusTextLabel = new QLabel(ChannelInfoFrame);
        InstrumentStatusTextLabel->setObjectName(QStringLiteral("InstrumentStatusTextLabel"));
        InstrumentStatusTextLabel->setMinimumSize(QSize(20, 0));
        InstrumentStatusTextLabel->setAlignment(Qt::AlignCenter);
        InstrumentStatusTextLabel->setWordWrap(false);

        gridLayout->addWidget(InstrumentStatusTextLabel, 1, 2, 1, 1);

        MidiActivityLabel = new QLabel(ChannelInfoFrame);
        MidiActivityLabel->setObjectName(QStringLiteral("MidiActivityLabel"));
        QSizePolicy sizePolicy3(QSizePolicy::Maximum, QSizePolicy::Maximum);
        sizePolicy3.setHorizontalStretch(0);
        sizePolicy3.setVerticalStretch(0);
        sizePolicy3.setHeightForWidth(MidiActivityLabel->sizePolicy().hasHeightForWidth());
        MidiActivityLabel->setSizePolicy(sizePolicy3);
        MidiActivityLabel->setMinimumSize(QSize(16, 16));
        MidiActivityLabel->setMaximumSize(QSize(16, 16));
        MidiActivityLabel->setBaseSize(QSize(16, 16));
        MidiActivityLabel->setFrameShape(QFrame::NoFrame);
        MidiActivityLabel->setFrameShadow(QFrame::Plain);
        MidiActivityLabel->setAlignment(Qt::AlignCenter);

        gridLayout->addWidget(MidiActivityLabel, 0, 1, 1, 1);

        InstrumentNamePushButton = new QPushButton(ChannelInfoFrame);
        InstrumentNamePushButton->setObjectName(QStringLiteral("InstrumentNamePushButton"));
        InstrumentNamePushButton->setStyleSheet(QStringLiteral("text-align: left; margin: 0px;"));
        InstrumentNamePushButton->setFlat(true);

        gridLayout->addWidget(InstrumentNamePushButton, 1, 0, 1, 1);


        hboxLayout->addWidget(ChannelInfoFrame);

        ChannelMutePushButton = new QPushButton(qsamplerChannelStrip);
        ChannelMutePushButton->setObjectName(QStringLiteral("ChannelMutePushButton"));
        ChannelMutePushButton->setMaximumSize(QSize(48, 32));
        ChannelMutePushButton->setCheckable(true);

        hboxLayout->addWidget(ChannelMutePushButton);

        ChannelSoloPushButton = new QPushButton(qsamplerChannelStrip);
        ChannelSoloPushButton->setObjectName(QStringLiteral("ChannelSoloPushButton"));
        ChannelSoloPushButton->setMaximumSize(QSize(48, 32));
        ChannelSoloPushButton->setCheckable(true);

        hboxLayout->addWidget(ChannelSoloPushButton);

        VolumeSlider = new QSlider(qsamplerChannelStrip);
        VolumeSlider->setObjectName(QStringLiteral("VolumeSlider"));
        VolumeSlider->setMinimumSize(QSize(100, 0));
        VolumeSlider->setMaximumSize(QSize(32767, 32));
        VolumeSlider->setMaximum(100);
        VolumeSlider->setOrientation(Qt::Horizontal);
        VolumeSlider->setTickPosition(QSlider::TicksBothSides);
        VolumeSlider->setTickInterval(10);

        hboxLayout->addWidget(VolumeSlider);

        VolumeSpinBox = new QSpinBox(qsamplerChannelStrip);
        VolumeSpinBox->setObjectName(QStringLiteral("VolumeSpinBox"));
        VolumeSpinBox->setMinimumSize(QSize(60, 0));
        VolumeSpinBox->setMaximumSize(QSize(120, 24));
        VolumeSpinBox->setMaximum(100);

        hboxLayout->addWidget(VolumeSpinBox);

        FxPushButton = new QPushButton(qsamplerChannelStrip);
        FxPushButton->setObjectName(QStringLiteral("FxPushButton"));
        FxPushButton->setMaximumSize(QSize(48, 32));

        hboxLayout->addWidget(FxPushButton);

        ChannelEditPushButton = new QPushButton(qsamplerChannelStrip);
        ChannelEditPushButton->setObjectName(QStringLiteral("ChannelEditPushButton"));
        ChannelEditPushButton->setMaximumSize(QSize(48, 32));

        hboxLayout->addWidget(ChannelEditPushButton);

        StreamUsageProgressBar = new QProgressBar(qsamplerChannelStrip);
        StreamUsageProgressBar->setObjectName(QStringLiteral("StreamUsageProgressBar"));
        QSizePolicy sizePolicy4(QSizePolicy::Minimum, QSizePolicy::Fixed);
        sizePolicy4.setHorizontalStretch(0);
        sizePolicy4.setVerticalStretch(0);
        sizePolicy4.setHeightForWidth(StreamUsageProgressBar->sizePolicy().hasHeightForWidth());
        StreamUsageProgressBar->setSizePolicy(sizePolicy4);
        StreamUsageProgressBar->setMinimumSize(QSize(64, 0));
        StreamUsageProgressBar->setMaximumSize(QSize(32767, 24));
        StreamUsageProgressBar->setOrientation(Qt::Horizontal);

        hboxLayout->addWidget(StreamUsageProgressBar);

        StreamVoiceCountTextLabel = new QLabel(qsamplerChannelStrip);
        StreamVoiceCountTextLabel->setObjectName(QStringLiteral("StreamVoiceCountTextLabel"));
        StreamVoiceCountTextLabel->setMinimumSize(QSize(48, 0));
        StreamVoiceCountTextLabel->setMaximumSize(QSize(32767, 32));
        StreamVoiceCountTextLabel->setAutoFillBackground(true);
        StreamVoiceCountTextLabel->setFrameShape(QFrame::StyledPanel);
        StreamVoiceCountTextLabel->setFrameShadow(QFrame::Sunken);
        StreamVoiceCountTextLabel->setAlignment(Qt::AlignCenter);
        StreamVoiceCountTextLabel->setWordWrap(false);

        hboxLayout->addWidget(StreamVoiceCountTextLabel);

        QWidget::setTabOrder(ChannelSetupPushButton, ChannelMutePushButton);
        QWidget::setTabOrder(ChannelMutePushButton, ChannelSoloPushButton);
        QWidget::setTabOrder(ChannelSoloPushButton, VolumeSlider);
        QWidget::setTabOrder(VolumeSlider, VolumeSpinBox);
        QWidget::setTabOrder(VolumeSpinBox, ChannelEditPushButton);

        retranslateUi(qsamplerChannelStrip);

        QMetaObject::connectSlotsByName(qsamplerChannelStrip);
    } // setupUi

    void retranslateUi(QWidget *qsamplerChannelStrip)
    {
        qsamplerChannelStrip->setWindowTitle(QApplication::translate("qsamplerChannelStrip", "Qsampler: Channel", 0));
#ifndef QT_NO_TOOLTIP
        ChannelSetupPushButton->setToolTip(QApplication::translate("qsamplerChannelStrip", "Channel setup", 0));
#endif // QT_NO_TOOLTIP
        ChannelSetupPushButton->setText(QApplication::translate("qsamplerChannelStrip", "&Channel", 0));
        EngineNameTextLabel->setText(QApplication::translate("qsamplerChannelStrip", "--", 0));
#ifndef QT_NO_TOOLTIP
        MidiPortChannelTextLabel->setToolTip(QApplication::translate("qsamplerChannelStrip", "MIDI port / channel", 0));
#endif // QT_NO_TOOLTIP
        MidiPortChannelTextLabel->setText(QApplication::translate("qsamplerChannelStrip", "-- / --", 0));
#ifndef QT_NO_TOOLTIP
        InstrumentStatusTextLabel->setToolTip(QApplication::translate("qsamplerChannelStrip", "Instrument load status", 0));
#endif // QT_NO_TOOLTIP
        InstrumentStatusTextLabel->setText(QApplication::translate("qsamplerChannelStrip", "--", 0));
#ifndef QT_NO_TOOLTIP
        MidiActivityLabel->setToolTip(QApplication::translate("qsamplerChannelStrip", "MIDI activity", 0));
#endif // QT_NO_TOOLTIP
        MidiActivityLabel->setText(QString());
#ifndef QT_NO_TOOLTIP
        InstrumentNamePushButton->setToolTip(QApplication::translate("qsamplerChannelStrip", "Instrument name", 0));
#endif // QT_NO_TOOLTIP
        InstrumentNamePushButton->setText(QApplication::translate("qsamplerChannelStrip", "--", 0));
#ifndef QT_NO_TOOLTIP
        ChannelMutePushButton->setToolTip(QApplication::translate("qsamplerChannelStrip", "Channel mute", 0));
#endif // QT_NO_TOOLTIP
        ChannelMutePushButton->setText(QApplication::translate("qsamplerChannelStrip", "&Mute", 0));
#ifndef QT_NO_TOOLTIP
        ChannelSoloPushButton->setToolTip(QApplication::translate("qsamplerChannelStrip", "Channel solo", 0));
#endif // QT_NO_TOOLTIP
        ChannelSoloPushButton->setText(QApplication::translate("qsamplerChannelStrip", "&Solo", 0));
#ifndef QT_NO_TOOLTIP
        VolumeSlider->setToolTip(QApplication::translate("qsamplerChannelStrip", "Channel volume", 0));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_TOOLTIP
        VolumeSpinBox->setToolTip(QApplication::translate("qsamplerChannelStrip", "Channel volume", 0));
#endif // QT_NO_TOOLTIP
        VolumeSpinBox->setSuffix(QApplication::translate("qsamplerChannelStrip", " %", 0));
#ifndef QT_NO_TOOLTIP
        FxPushButton->setToolTip(QApplication::translate("qsamplerChannelStrip", "Edit Channel's Effect Settings", 0));
#endif // QT_NO_TOOLTIP
        FxPushButton->setText(QApplication::translate("qsamplerChannelStrip", "&FX", 0));
#ifndef QT_NO_TOOLTIP
        ChannelEditPushButton->setToolTip(QApplication::translate("qsamplerChannelStrip", "Edit channel's instrument", 0));
#endif // QT_NO_TOOLTIP
        ChannelEditPushButton->setText(QApplication::translate("qsamplerChannelStrip", "&Edit", 0));
#ifndef QT_NO_TOOLTIP
        StreamUsageProgressBar->setToolTip(QApplication::translate("qsamplerChannelStrip", "Least buffer fill stream usage (%)", 0));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_TOOLTIP
        StreamVoiceCountTextLabel->setToolTip(QApplication::translate("qsamplerChannelStrip", "Stream / Voice count", 0));
#endif // QT_NO_TOOLTIP
        StreamVoiceCountTextLabel->setText(QApplication::translate("qsamplerChannelStrip", "--/--", 0));
    } // retranslateUi

};

namespace Ui {
    class qsamplerChannelStrip: public Ui_qsamplerChannelStrip {};
} // namespace Ui

QT_END_NAMESPACE

#endif // UI_QSAMPLERCHANNELSTRIP_H
