/*
qsampler - A LinuxSampler Qt GUI Interface.

   Copyright (C) 2004-2015, rncbc aka Rui Nuno Capela. All rights reserved.
   Copyright (C) 2007,2008,2015 Christian Schoenebeck

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License along
   with this program; if not, write to the Free Software Foundation, Inc.,
   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.


*/

/********************************************************************************
** Form generated from reading UI file 'qsamplerMainForm.ui'
**
** Created by: Qt User Interface Compiler version 5.6.0
**
** WARNING! All changes made in this file will be lost when recompiling UI file!
********************************************************************************/

#ifndef UI_QSAMPLERMAINFORM_H
#define UI_QSAMPLERMAINFORM_H

#include <QtCore/QVariant>
#include <QtWidgets/QAction>
#include <QtWidgets/QApplication>
#include <QtWidgets/QButtonGroup>
#include <QtWidgets/QHeaderView>
#include <QtWidgets/QMainWindow>
#include <QtWidgets/QMenu>
#include <QtWidgets/QMenuBar>
#include <QtWidgets/QStatusBar>
#include <QtWidgets/QToolBar>
#include <QtWidgets/QWidget>

QT_BEGIN_NAMESPACE

class Ui_qsamplerMainForm
{
public:
    QAction *fileNewAction;
    QAction *fileOpenAction;
    QAction *fileSaveAction;
    QAction *fileSaveAsAction;
    QAction *fileResetAction;
    QAction *fileRestartAction;
    QAction *fileExitAction;
    QAction *editAddChannelAction;
    QAction *editRemoveChannelAction;
    QAction *editResetChannelAction;
    QAction *editResetAllChannelsAction;
    QAction *editSetupChannelAction;
    QAction *editEditChannelAction;
    QAction *viewMenubarAction;
    QAction *viewToolbarAction;
    QAction *viewStatusbarAction;
    QAction *viewMessagesAction;
    QAction *viewInstrumentsAction;
    QAction *viewDevicesAction;
    QAction *viewOptionsAction;
    QAction *channelsArrangeAction;
    QAction *channelsAutoArrangeAction;
    QAction *helpAboutAction;
    QAction *helpAboutQtAction;
    QWidget *centralwidget;
    QToolBar *fileToolbar;
    QToolBar *editToolbar;
    QToolBar *channelsToolbar;
    QMenuBar *MenuBar;
    QMenu *editMenu;
    QMenu *viewMenu;
    QMenu *viewMidiDeviceStatusMenu;
    QMenu *channelsMenu;
    QMenu *helpMenu;
    QMenu *fileMenu;
    QMenu *fileOpenRecentMenu;
    QStatusBar *statusbar;

    void setupUi(QMainWindow *qsamplerMainForm)
    {
        if (qsamplerMainForm->objectName().isEmpty())
            qsamplerMainForm->setObjectName(QStringLiteral("qsamplerMainForm"));
        qsamplerMainForm->resize(800, 600);
        const QIcon icon = QIcon(QString::fromUtf8(":/images/qsampler.png"));
        qsamplerMainForm->setWindowIcon(icon);
        fileNewAction = new QAction(qsamplerMainForm);
        fileNewAction->setObjectName(QStringLiteral("fileNewAction"));
        const QIcon icon1 = QIcon(QString::fromUtf8(":/images/fileNew.png"));
        fileNewAction->setIcon(icon1);
        fileOpenAction = new QAction(qsamplerMainForm);
        fileOpenAction->setObjectName(QStringLiteral("fileOpenAction"));
        const QIcon icon2 = QIcon(QString::fromUtf8(":/images/fileOpen.png"));
        fileOpenAction->setIcon(icon2);
        fileSaveAction = new QAction(qsamplerMainForm);
        fileSaveAction->setObjectName(QStringLiteral("fileSaveAction"));
        const QIcon icon3 = QIcon(QString::fromUtf8(":/images/fileSave.png"));
        fileSaveAction->setIcon(icon3);
        fileSaveAsAction = new QAction(qsamplerMainForm);
        fileSaveAsAction->setObjectName(QStringLiteral("fileSaveAsAction"));
        fileResetAction = new QAction(qsamplerMainForm);
        fileResetAction->setObjectName(QStringLiteral("fileResetAction"));
        const QIcon icon4 = QIcon(QString::fromUtf8(":/images/fileReset.png"));
        fileResetAction->setIcon(icon4);
        fileRestartAction = new QAction(qsamplerMainForm);
        fileRestartAction->setObjectName(QStringLiteral("fileRestartAction"));
        const QIcon icon5 = QIcon(QString::fromUtf8(":/images/fileRestart.png"));
        fileRestartAction->setIcon(icon5);
        fileExitAction = new QAction(qsamplerMainForm);
        fileExitAction->setObjectName(QStringLiteral("fileExitAction"));
        editAddChannelAction = new QAction(qsamplerMainForm);
        editAddChannelAction->setObjectName(QStringLiteral("editAddChannelAction"));
        const QIcon icon6 = QIcon(QString::fromUtf8(":/images/editAddChannel.png"));
        editAddChannelAction->setIcon(icon6);
        editRemoveChannelAction = new QAction(qsamplerMainForm);
        editRemoveChannelAction->setObjectName(QStringLiteral("editRemoveChannelAction"));
        const QIcon icon7 = QIcon(QString::fromUtf8(":/images/editRemoveChannel.png"));
        editRemoveChannelAction->setIcon(icon7);
        editResetChannelAction = new QAction(qsamplerMainForm);
        editResetChannelAction->setObjectName(QStringLiteral("editResetChannelAction"));
        const QIcon icon8 = QIcon(QString::fromUtf8(":/images/editResetChannel.png"));
        editResetChannelAction->setIcon(icon8);
        editResetAllChannelsAction = new QAction(qsamplerMainForm);
        editResetAllChannelsAction->setObjectName(QStringLiteral("editResetAllChannelsAction"));
        const QIcon icon9 = QIcon(QString::fromUtf8(":/images/editResetAllChannels.png"));
        editResetAllChannelsAction->setIcon(icon9);
        editSetupChannelAction = new QAction(qsamplerMainForm);
        editSetupChannelAction->setObjectName(QStringLiteral("editSetupChannelAction"));
        const QIcon icon10 = QIcon(QString::fromUtf8(":/images/editSetupChannel.png"));
        editSetupChannelAction->setIcon(icon10);
        editEditChannelAction = new QAction(qsamplerMainForm);
        editEditChannelAction->setObjectName(QStringLiteral("editEditChannelAction"));
        const QIcon icon11 = QIcon(QString::fromUtf8(":/images/editEditChannel.png"));
        editEditChannelAction->setIcon(icon11);
        viewMenubarAction = new QAction(qsamplerMainForm);
        viewMenubarAction->setObjectName(QStringLiteral("viewMenubarAction"));
        viewMenubarAction->setCheckable(true);
        viewToolbarAction = new QAction(qsamplerMainForm);
        viewToolbarAction->setObjectName(QStringLiteral("viewToolbarAction"));
        viewToolbarAction->setCheckable(true);
        viewStatusbarAction = new QAction(qsamplerMainForm);
        viewStatusbarAction->setObjectName(QStringLiteral("viewStatusbarAction"));
        viewStatusbarAction->setCheckable(true);
        viewMessagesAction = new QAction(qsamplerMainForm);
        viewMessagesAction->setObjectName(QStringLiteral("viewMessagesAction"));
        viewMessagesAction->setCheckable(true);
        viewInstrumentsAction = new QAction(qsamplerMainForm);
        viewInstrumentsAction->setObjectName(QStringLiteral("viewInstrumentsAction"));
        viewInstrumentsAction->setCheckable(true);
        const QIcon icon12 = QIcon(QString::fromUtf8(":/images/qsamplerInstrument.png"));
        viewInstrumentsAction->setIcon(icon12);
        viewDevicesAction = new QAction(qsamplerMainForm);
        viewDevicesAction->setObjectName(QStringLiteral("viewDevicesAction"));
        viewDevicesAction->setCheckable(true);
        const QIcon icon13 = QIcon(QString::fromUtf8(":/images/qsamplerDevice.png"));
        viewDevicesAction->setIcon(icon13);
        viewOptionsAction = new QAction(qsamplerMainForm);
        viewOptionsAction->setObjectName(QStringLiteral("viewOptionsAction"));
        channelsArrangeAction = new QAction(qsamplerMainForm);
        channelsArrangeAction->setObjectName(QStringLiteral("channelsArrangeAction"));
        channelsArrangeAction->setCheckable(false);
        const QIcon icon14 = QIcon(QString::fromUtf8(":/images/channelsArrange.png"));
        channelsArrangeAction->setIcon(icon14);
        channelsAutoArrangeAction = new QAction(qsamplerMainForm);
        channelsAutoArrangeAction->setObjectName(QStringLiteral("channelsAutoArrangeAction"));
        channelsAutoArrangeAction->setCheckable(true);
        helpAboutAction = new QAction(qsamplerMainForm);
        helpAboutAction->setObjectName(QStringLiteral("helpAboutAction"));
        helpAboutQtAction = new QAction(qsamplerMainForm);
        helpAboutQtAction->setObjectName(QStringLiteral("helpAboutQtAction"));
        centralwidget = new QWidget(qsamplerMainForm);
        centralwidget->setObjectName(QStringLiteral("centralwidget"));
        qsamplerMainForm->setCentralWidget(centralwidget);
        fileToolbar = new QToolBar(qsamplerMainForm);
        fileToolbar->setObjectName(QStringLiteral("fileToolbar"));
        fileToolbar->setOrientation(Qt::Horizontal);
        qsamplerMainForm->addToolBar(static_cast<Qt::ToolBarArea>(4), fileToolbar);
        editToolbar = new QToolBar(qsamplerMainForm);
        editToolbar->setObjectName(QStringLiteral("editToolbar"));
        editToolbar->setOrientation(Qt::Horizontal);
        qsamplerMainForm->addToolBar(static_cast<Qt::ToolBarArea>(4), editToolbar);
        channelsToolbar = new QToolBar(qsamplerMainForm);
        channelsToolbar->setObjectName(QStringLiteral("channelsToolbar"));
        channelsToolbar->setOrientation(Qt::Horizontal);
        qsamplerMainForm->addToolBar(static_cast<Qt::ToolBarArea>(4), channelsToolbar);
        MenuBar = new QMenuBar(qsamplerMainForm);
        MenuBar->setObjectName(QStringLiteral("MenuBar"));
        MenuBar->setGeometry(QRect(0, 0, 800, 31));
        editMenu = new QMenu(MenuBar);
        editMenu->setObjectName(QStringLiteral("editMenu"));
        viewMenu = new QMenu(MenuBar);
        viewMenu->setObjectName(QStringLiteral("viewMenu"));
        viewMidiDeviceStatusMenu = new QMenu(viewMenu);
        viewMidiDeviceStatusMenu->setObjectName(QStringLiteral("viewMidiDeviceStatusMenu"));
        channelsMenu = new QMenu(MenuBar);
        channelsMenu->setObjectName(QStringLiteral("channelsMenu"));
        helpMenu = new QMenu(MenuBar);
        helpMenu->setObjectName(QStringLiteral("helpMenu"));
        fileMenu = new QMenu(MenuBar);
        fileMenu->setObjectName(QStringLiteral("fileMenu"));
        fileOpenRecentMenu = new QMenu(fileMenu);
        fileOpenRecentMenu->setObjectName(QStringLiteral("fileOpenRecentMenu"));
        qsamplerMainForm->setMenuBar(MenuBar);
        statusbar = new QStatusBar(qsamplerMainForm);
        statusbar->setObjectName(QStringLiteral("statusbar"));
        qsamplerMainForm->setStatusBar(statusbar);

        fileToolbar->addAction(fileNewAction);
        fileToolbar->addAction(fileOpenAction);
        fileToolbar->addAction(fileSaveAction);
        fileToolbar->addSeparator();
        fileToolbar->addAction(fileResetAction);
        fileToolbar->addAction(fileRestartAction);
        fileToolbar->addSeparator();
        fileToolbar->addAction(viewInstrumentsAction);
        fileToolbar->addAction(viewDevicesAction);
        editToolbar->addAction(editAddChannelAction);
        editToolbar->addAction(editRemoveChannelAction);
        editToolbar->addSeparator();
        editToolbar->addAction(editSetupChannelAction);
        editToolbar->addAction(editEditChannelAction);
        editToolbar->addSeparator();
        editToolbar->addAction(editResetChannelAction);
        editToolbar->addAction(editResetAllChannelsAction);
        channelsToolbar->addAction(channelsArrangeAction);
        MenuBar->addAction(fileMenu->menuAction());
        MenuBar->addAction(editMenu->menuAction());
        MenuBar->addAction(viewMenu->menuAction());
        MenuBar->addAction(channelsMenu->menuAction());
        MenuBar->addSeparator();
        MenuBar->addAction(helpMenu->menuAction());
        editMenu->addAction(editAddChannelAction);
        editMenu->addAction(editRemoveChannelAction);
        editMenu->addSeparator();
        editMenu->addAction(editSetupChannelAction);
        editMenu->addAction(editEditChannelAction);
        editMenu->addSeparator();
        editMenu->addAction(editResetChannelAction);
        editMenu->addAction(editResetAllChannelsAction);
        viewMenu->addAction(viewMenubarAction);
        viewMenu->addAction(viewToolbarAction);
        viewMenu->addAction(viewStatusbarAction);
        viewMenu->addSeparator();
        viewMenu->addAction(viewMessagesAction);
        viewMenu->addAction(viewInstrumentsAction);
        viewMenu->addAction(viewDevicesAction);
        viewMenu->addSeparator();
        viewMenu->addAction(viewMidiDeviceStatusMenu->menuAction());
        viewMenu->addSeparator();
        viewMenu->addAction(viewOptionsAction);
        channelsMenu->addAction(channelsArrangeAction);
        channelsMenu->addAction(channelsAutoArrangeAction);
        helpMenu->addAction(helpAboutAction);
        helpMenu->addAction(helpAboutQtAction);
        fileMenu->addAction(fileNewAction);
        fileMenu->addSeparator();
        fileMenu->addAction(fileOpenAction);
        fileMenu->addAction(fileOpenRecentMenu->menuAction());
        fileMenu->addSeparator();
        fileMenu->addAction(fileSaveAction);
        fileMenu->addAction(fileSaveAsAction);
        fileMenu->addSeparator();
        fileMenu->addAction(fileResetAction);
        fileMenu->addAction(fileRestartAction);
        fileMenu->addSeparator();
        fileMenu->addAction(fileExitAction);

        retranslateUi(qsamplerMainForm);

        QMetaObject::connectSlotsByName(qsamplerMainForm);
    } // setupUi

    void retranslateUi(QMainWindow *qsamplerMainForm)
    {
        qsamplerMainForm->setWindowTitle(QApplication::translate("qsamplerMainForm", "MainWindow", 0));
        fileNewAction->setText(QApplication::translate("qsamplerMainForm", "&New", 0));
        fileNewAction->setIconText(QApplication::translate("qsamplerMainForm", "New", 0));
#ifndef QT_NO_TOOLTIP
        fileNewAction->setToolTip(QApplication::translate("qsamplerMainForm", "New session", 0));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_STATUSTIP
        fileNewAction->setStatusTip(QApplication::translate("qsamplerMainForm", "New sampler session", 0));
#endif // QT_NO_STATUSTIP
        fileNewAction->setShortcut(QApplication::translate("qsamplerMainForm", "Ctrl+N", 0));
        fileOpenAction->setText(QApplication::translate("qsamplerMainForm", "&Open...", 0));
        fileOpenAction->setIconText(QApplication::translate("qsamplerMainForm", "Open", 0));
#ifndef QT_NO_TOOLTIP
        fileOpenAction->setToolTip(QApplication::translate("qsamplerMainForm", "Open session", 0));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_STATUSTIP
        fileOpenAction->setStatusTip(QApplication::translate("qsamplerMainForm", "Open sampler session", 0));
#endif // QT_NO_STATUSTIP
        fileOpenAction->setShortcut(QApplication::translate("qsamplerMainForm", "Ctrl+O", 0));
        fileSaveAction->setText(QApplication::translate("qsamplerMainForm", "&Save", 0));
        fileSaveAction->setIconText(QApplication::translate("qsamplerMainForm", "Save", 0));
#ifndef QT_NO_TOOLTIP
        fileSaveAction->setToolTip(QApplication::translate("qsamplerMainForm", "Save session", 0));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_STATUSTIP
        fileSaveAction->setStatusTip(QApplication::translate("qsamplerMainForm", "Save sampler session", 0));
#endif // QT_NO_STATUSTIP
        fileSaveAction->setShortcut(QApplication::translate("qsamplerMainForm", "Ctrl+S", 0));
        fileSaveAsAction->setText(QApplication::translate("qsamplerMainForm", "Save &As...", 0));
        fileSaveAsAction->setIconText(QApplication::translate("qsamplerMainForm", "Save As", 0));
#ifndef QT_NO_STATUSTIP
        fileSaveAsAction->setStatusTip(QApplication::translate("qsamplerMainForm", "Save current sampler session with another name", 0));
#endif // QT_NO_STATUSTIP
        fileSaveAsAction->setShortcut(QString());
        fileResetAction->setText(QApplication::translate("qsamplerMainForm", "Rese&t", 0));
        fileResetAction->setIconText(QApplication::translate("qsamplerMainForm", "Reset", 0));
#ifndef QT_NO_TOOLTIP
        fileResetAction->setToolTip(QApplication::translate("qsamplerMainForm", "Reset instance", 0));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_STATUSTIP
        fileResetAction->setStatusTip(QApplication::translate("qsamplerMainForm", "Reset sampler instance", 0));
#endif // QT_NO_STATUSTIP
        fileResetAction->setShortcut(QApplication::translate("qsamplerMainForm", "Ctrl+R", 0));
        fileRestartAction->setText(QApplication::translate("qsamplerMainForm", "&Restart", 0));
        fileRestartAction->setIconText(QApplication::translate("qsamplerMainForm", "Restart", 0));
#ifndef QT_NO_TOOLTIP
        fileRestartAction->setToolTip(QApplication::translate("qsamplerMainForm", "Restart instance", 0));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_STATUSTIP
        fileRestartAction->setStatusTip(QApplication::translate("qsamplerMainForm", "Restart sampler instance", 0));
#endif // QT_NO_STATUSTIP
        fileRestartAction->setShortcut(QApplication::translate("qsamplerMainForm", "Ctrl+Shift+R", 0));
        fileExitAction->setText(QApplication::translate("qsamplerMainForm", "E&xit", 0));
        fileExitAction->setIconText(QApplication::translate("qsamplerMainForm", "Exit", 0));
#ifndef QT_NO_STATUSTIP
        fileExitAction->setStatusTip(QApplication::translate("qsamplerMainForm", "Exit this application program", 0));
#endif // QT_NO_STATUSTIP
        fileExitAction->setShortcut(QString());
        editAddChannelAction->setText(QApplication::translate("qsamplerMainForm", "&Add Channel", 0));
        editAddChannelAction->setIconText(QApplication::translate("qsamplerMainForm", "Add", 0));
#ifndef QT_NO_TOOLTIP
        editAddChannelAction->setToolTip(QApplication::translate("qsamplerMainForm", "Add channel", 0));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_STATUSTIP
        editAddChannelAction->setStatusTip(QApplication::translate("qsamplerMainForm", "Add a new sampler channel", 0));
#endif // QT_NO_STATUSTIP
        editAddChannelAction->setShortcut(QApplication::translate("qsamplerMainForm", "Ctrl+A", 0));
        editRemoveChannelAction->setText(QApplication::translate("qsamplerMainForm", "&Remove Channel", 0));
        editRemoveChannelAction->setIconText(QApplication::translate("qsamplerMainForm", "Remove", 0));
#ifndef QT_NO_TOOLTIP
        editRemoveChannelAction->setToolTip(QApplication::translate("qsamplerMainForm", "Remove channel", 0));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_STATUSTIP
        editRemoveChannelAction->setStatusTip(QApplication::translate("qsamplerMainForm", "Remove current sampler channel", 0));
#endif // QT_NO_STATUSTIP
        editRemoveChannelAction->setShortcut(QApplication::translate("qsamplerMainForm", "Ctrl+X", 0));
        editResetChannelAction->setText(QApplication::translate("qsamplerMainForm", "Re&set Channel", 0));
        editResetChannelAction->setIconText(QApplication::translate("qsamplerMainForm", "Reset", 0));
#ifndef QT_NO_TOOLTIP
        editResetChannelAction->setToolTip(QApplication::translate("qsamplerMainForm", "Reset channel", 0));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_STATUSTIP
        editResetChannelAction->setStatusTip(QApplication::translate("qsamplerMainForm", "Reset current sampler channel", 0));
#endif // QT_NO_STATUSTIP
        editResetChannelAction->setShortcut(QString());
        editResetAllChannelsAction->setText(QApplication::translate("qsamplerMainForm", "R&eset All Channels", 0));
        editResetAllChannelsAction->setIconText(QApplication::translate("qsamplerMainForm", "Reset All", 0));
#ifndef QT_NO_TOOLTIP
        editResetAllChannelsAction->setToolTip(QApplication::translate("qsamplerMainForm", "Reset all channels", 0));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_STATUSTIP
        editResetAllChannelsAction->setStatusTip(QApplication::translate("qsamplerMainForm", "Reset all sampler channels", 0));
#endif // QT_NO_STATUSTIP
        editResetAllChannelsAction->setShortcut(QString());
        editSetupChannelAction->setText(QApplication::translate("qsamplerMainForm", "&Setup Channel...", 0));
        editSetupChannelAction->setIconText(QApplication::translate("qsamplerMainForm", "Setup", 0));
#ifndef QT_NO_TOOLTIP
        editSetupChannelAction->setToolTip(QApplication::translate("qsamplerMainForm", "Setup channel", 0));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_STATUSTIP
        editSetupChannelAction->setStatusTip(QApplication::translate("qsamplerMainForm", "Setup current sampler channel", 0));
#endif // QT_NO_STATUSTIP
        editSetupChannelAction->setShortcut(QApplication::translate("qsamplerMainForm", "F2", 0));
        editEditChannelAction->setText(QApplication::translate("qsamplerMainForm", "Ed&it Channel...", 0));
        editEditChannelAction->setIconText(QApplication::translate("qsamplerMainForm", "Edit", 0));
#ifndef QT_NO_TOOLTIP
        editEditChannelAction->setToolTip(QApplication::translate("qsamplerMainForm", "Edit channel", 0));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_STATUSTIP
        editEditChannelAction->setStatusTip(QApplication::translate("qsamplerMainForm", "Edit current sampler channel", 0));
#endif // QT_NO_STATUSTIP
        editEditChannelAction->setShortcut(QApplication::translate("qsamplerMainForm", "F9", 0));
        viewMenubarAction->setText(QApplication::translate("qsamplerMainForm", "&Menubar", 0));
        viewMenubarAction->setIconText(QApplication::translate("qsamplerMainForm", "Menubar", 0));
#ifndef QT_NO_TOOLTIP
        viewMenubarAction->setToolTip(QApplication::translate("qsamplerMainForm", "Show/hide menubar", 0));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_STATUSTIP
        viewMenubarAction->setStatusTip(QApplication::translate("qsamplerMainForm", "Show/hide the main program window menubar", 0));
#endif // QT_NO_STATUSTIP
        viewMenubarAction->setShortcut(QApplication::translate("qsamplerMainForm", "Ctrl+M", 0));
        viewToolbarAction->setText(QApplication::translate("qsamplerMainForm", "&Toolbar", 0));
        viewToolbarAction->setIconText(QApplication::translate("qsamplerMainForm", "viewToolbars", 0));
#ifndef QT_NO_TOOLTIP
        viewToolbarAction->setToolTip(QApplication::translate("qsamplerMainForm", "Show/hide toolbar", 0));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_STATUSTIP
        viewToolbarAction->setStatusTip(QApplication::translate("qsamplerMainForm", "Show/hide main program window toolbars", 0));
#endif // QT_NO_STATUSTIP
        viewToolbarAction->setShortcut(QApplication::translate("qsamplerMainForm", "Ctrl+T", 0));
        viewStatusbarAction->setText(QApplication::translate("qsamplerMainForm", "&Statusbar", 0));
        viewStatusbarAction->setIconText(QApplication::translate("qsamplerMainForm", "Statusbar", 0));
#ifndef QT_NO_TOOLTIP
        viewStatusbarAction->setToolTip(QApplication::translate("qsamplerMainForm", "Show/hide statusbar", 0));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_STATUSTIP
        viewStatusbarAction->setStatusTip(QApplication::translate("qsamplerMainForm", "Show/hide the main program window statusbar", 0));
#endif // QT_NO_STATUSTIP
        viewStatusbarAction->setShortcut(QString());
        viewMessagesAction->setText(QApplication::translate("qsamplerMainForm", "M&essages", 0));
        viewMessagesAction->setIconText(QApplication::translate("qsamplerMainForm", "Messages", 0));
#ifndef QT_NO_TOOLTIP
        viewMessagesAction->setToolTip(QApplication::translate("qsamplerMainForm", "Show/hide messages", 0));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_STATUSTIP
        viewMessagesAction->setStatusTip(QApplication::translate("qsamplerMainForm", "Show/hide the messages window", 0));
#endif // QT_NO_STATUSTIP
        viewMessagesAction->setShortcut(QString());
        viewInstrumentsAction->setText(QApplication::translate("qsamplerMainForm", "&Instruments", 0));
        viewInstrumentsAction->setIconText(QApplication::translate("qsamplerMainForm", "Instruments", 0));
#ifndef QT_NO_TOOLTIP
        viewInstrumentsAction->setToolTip(QApplication::translate("qsamplerMainForm", "MIDI instruments configuration", 0));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_STATUSTIP
        viewInstrumentsAction->setStatusTip(QApplication::translate("qsamplerMainForm", "Show/hide the MIDI instruments configuration window", 0));
#endif // QT_NO_STATUSTIP
        viewInstrumentsAction->setShortcut(QApplication::translate("qsamplerMainForm", "F10", 0));
        viewDevicesAction->setText(QApplication::translate("qsamplerMainForm", "&Devices", 0));
        viewDevicesAction->setIconText(QApplication::translate("qsamplerMainForm", "Devices", 0));
#ifndef QT_NO_TOOLTIP
        viewDevicesAction->setToolTip(QApplication::translate("qsamplerMainForm", "Device configuration", 0));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_STATUSTIP
        viewDevicesAction->setStatusTip(QApplication::translate("qsamplerMainForm", "Show/hide the device configuration window", 0));
#endif // QT_NO_STATUSTIP
        viewDevicesAction->setShortcut(QApplication::translate("qsamplerMainForm", "F11", 0));
        viewOptionsAction->setText(QApplication::translate("qsamplerMainForm", "&Options...", 0));
        viewOptionsAction->setIconText(QApplication::translate("qsamplerMainForm", "Options", 0));
#ifndef QT_NO_TOOLTIP
        viewOptionsAction->setToolTip(QApplication::translate("qsamplerMainForm", "General options", 0));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_STATUSTIP
        viewOptionsAction->setStatusTip(QApplication::translate("qsamplerMainForm", "Change general application program options", 0));
#endif // QT_NO_STATUSTIP
        viewOptionsAction->setShortcut(QApplication::translate("qsamplerMainForm", "F12", 0));
        channelsArrangeAction->setText(QApplication::translate("qsamplerMainForm", "&Arrange", 0));
        channelsArrangeAction->setIconText(QApplication::translate("qsamplerMainForm", "Arrange", 0));
#ifndef QT_NO_TOOLTIP
        channelsArrangeAction->setToolTip(QApplication::translate("qsamplerMainForm", "Arrange channels", 0));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_STATUSTIP
        channelsArrangeAction->setStatusTip(QApplication::translate("qsamplerMainForm", "Line up all channel strips", 0));
#endif // QT_NO_STATUSTIP
        channelsArrangeAction->setShortcut(QApplication::translate("qsamplerMainForm", "F5", 0));
        channelsAutoArrangeAction->setText(QApplication::translate("qsamplerMainForm", "A&uto Arrange", 0));
        channelsAutoArrangeAction->setIconText(QApplication::translate("qsamplerMainForm", "Auto Arrange", 0));
#ifndef QT_NO_TOOLTIP
        channelsAutoArrangeAction->setToolTip(QApplication::translate("qsamplerMainForm", "Auto-arrange channels", 0));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_STATUSTIP
        channelsAutoArrangeAction->setStatusTip(QApplication::translate("qsamplerMainForm", "Auto-arrange channel strips", 0));
#endif // QT_NO_STATUSTIP
        channelsAutoArrangeAction->setShortcut(QString());
        helpAboutAction->setText(QApplication::translate("qsamplerMainForm", "&About...", 0));
        helpAboutAction->setIconText(QApplication::translate("qsamplerMainForm", "About", 0));
#ifndef QT_NO_STATUSTIP
        helpAboutAction->setStatusTip(QApplication::translate("qsamplerMainForm", "Show information about this application program", 0));
#endif // QT_NO_STATUSTIP
        helpAboutAction->setShortcut(QString());
        helpAboutQtAction->setText(QApplication::translate("qsamplerMainForm", "About &Qt...", 0));
        helpAboutQtAction->setIconText(QApplication::translate("qsamplerMainForm", "About Qt", 0));
#ifndef QT_NO_STATUSTIP
        helpAboutQtAction->setStatusTip(QApplication::translate("qsamplerMainForm", "Show information about the Qt toolkit", 0));
#endif // QT_NO_STATUSTIP
        helpAboutQtAction->setShortcut(QString());
        editMenu->setTitle(QApplication::translate("qsamplerMainForm", "&Edit", 0));
        viewMenu->setTitle(QApplication::translate("qsamplerMainForm", "&View", 0));
        viewMidiDeviceStatusMenu->setTitle(QApplication::translate("qsamplerMainForm", "MIDI Device Status", 0));
        channelsMenu->setTitle(QApplication::translate("qsamplerMainForm", "&Channels", 0));
        helpMenu->setTitle(QApplication::translate("qsamplerMainForm", "&Help", 0));
        fileMenu->setTitle(QApplication::translate("qsamplerMainForm", "&File", 0));
        fileOpenRecentMenu->setTitle(QApplication::translate("qsamplerMainForm", "Open &Recent", 0));
    } // retranslateUi

};

namespace Ui {
    class qsamplerMainForm: public Ui_qsamplerMainForm {};
} // namespace Ui

QT_END_NAMESPACE

#endif // UI_QSAMPLERMAINFORM_H
